## lomiri-online-accounts-plugins-carddav 0.5.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(lomiri-online-accounts-plugins-carddav VERSION 0.5.0 LANGUAGES NONE)

include(FindGettext)
include(FindPkgConfig)
include(GNUInstallDirs)

pkg_check_modules(ONLINE_ACCOUNTS_PLUGINS REQUIRED LomiriOnlineAccountsPlugin)
pkg_get_variable(PLUGIN_QML_DIR LomiriOnlineAccountsPlugin plugin_qml_dir)
pkg_check_modules(LIBACCOUNTS_GLIB REQUIRED libaccounts-glib)
pkg_get_variable(SERVICE_FILE_BASE_DIR libaccounts-glib servicefilesdir)
set(SERVICE_FILE_DIR ${SERVICE_FILE_BASE_DIR}/lomiri)
pkg_get_variable(PROVIDER_FILE_BASE_DIR libaccounts-glib providerfilesdir)
set(PROVIDER_FILE_DIR ${PROVIDER_FILE_BASE_DIR}/lomiri)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

add_subdirectory(accounts)
add_subdirectory(buteo)
add_subdirectory(po)

=== accounts/CMakeLists.txt ===
# this assumes ITS files are located in ${CMAKE_SOURCE_DIR}/its
function(gettext_merge_xml_translations source_files)
    foreach(source_file ${source_files})
        add_custom_target("${source_file}" ALL
                          COMMENT "Merging translations into ${source_file}"
                          COMMAND ${CMAKE_COMMAND} -E env "GETTEXTDATADIRS=${CMAKE_SOURCE_DIR}"
                                  ${GETTEXT_MSGFMT_EXECUTABLE}
                                  --xml
                                  --template=${CMAKE_CURRENT_SOURCE_DIR}/${source_file}.in
                                  -d ${CMAKE_SOURCE_DIR}/po
                                  -o ${source_file}
                          )
    endforeach()
endfunction()

add_subdirectory(plugin)
add_subdirectory(services)

=== buteo/CMakeLists.txt ===
add_subdirectory(sync-profiles)

=== po/CMakeLists.txt ===
find_program(GETTEXT_XGETTEXT_EXECUTABLE xgettext)

set(DOMAIN lomiri-online-accounts-plugins-carddav)
set(POT_FILE ${DOMAIN}.pot)

file(STRINGS ${CMAKE_CURRENT_SOURCE_DIR}/LINGUAS LINGUAS
     REGEX "^[^#].*")
string(REGEX MATCHALL "[^ \t]+" LANGS "${LINGUAS}")

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/POTFILES.in
  ${CMAKE_CURRENT_BINARY_DIR}/POTFILES COPYONLY
)

add_custom_target(${POT_FILE} ALL
  COMMENT "Generating translation template"
  COMMAND ${CMAKE_COMMAND} -E env "GETTEXTDATADIRS=${CMAKE_SOURCE_DIR}"
          ${GETTEXT_XGETTEXT_EXECUTABLE} -o ${POT_FILE}
          -D ${CMAKE_SOURCE_DIR}
          -D ${CMAKE_CURRENT_SOURCE_DIR}
          -D ${CMAKE_CURRENT_BINARY_DIR}
          --keyword=_ --keyword=N_
          --keyword=tr --keyword=tr:1,2
          --keyword=dtr:2 --keyword=dtr:2,3
          --package-name='${DOMAIN}'
          --copyright-holder='Ubports Foundation'
          --from-code=utf-8
          --files-from=${CMAKE_CURRENT_BINARY_DIR}/POTFILES)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/${POT_FILE}
               ${CMAKE_CURRENT_BINARY_DIR}/${POT_FILE}
               COPYONLY)
foreach(LANG ${LANGS})
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/${LANG}.po
                   ${CMAKE_CURRENT_BINARY_DIR}/${LANG}.po
                   COPYONLY)
endforeach(LANG)
gettext_process_pot_file(${POT_FILE} ALL
                         INSTALL_DESTINATION ${CMAKE_INSTALL_LOCALEDIR}
                         LANGUAGES ${LANGS})

=== accounts/plugin/CMakeLists.txt ===
set(PROVIDER_FILES
    generic-carddav.provider
)

gettext_merge_xml_translations(${PROVIDER_FILES})

foreach(PROVIDER_FILE ${PROVIDER_FILES})
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROVIDER_FILE}
        DESTINATION ${PROVIDER_FILE_DIR}
    )
endforeach()

set(PLUGIN_QML_FILES
    qml/Main.qml
    qml/NewAccount.qml
)

install(FILES ${PLUGIN_QML_FILES}
    DESTINATION ${PLUGIN_QML_DIR}/generic-carddav
)

set(PLUGIN_ICON
    online-accounts-carddav.png
)

install(FILES ${PLUGIN_ICON}
    DESTINATION ${CMAKE_INSTALL_FULL_DATADIR}/icons/suru/apps/128
)

=== accounts/services/CMakeLists.txt ===
set(SERVICE_FILES
    lomiri-generic-carddav.service
    lomiri-owncloud-carddav.service
    lomiri-nextcloud-carddav.service
)

gettext_merge_xml_translations("${SERVICE_FILES}")

foreach(SERVICE_FILE ${SERVICE_FILES})
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${SERVICE_FILE}
        DESTINATION ${SERVICE_FILE_DIR}
    )
endforeach()

=== buteo/sync-profiles/CMakeLists.txt ===
set(SYNC_PROFILE_FILES
    lomiri-generic-carddav.xml
    lomiri-owncloud-carddav.xml
    lomiri-nextcloud-carddav.xml
)

foreach(SYNC_PROFILE_FILE ${SYNC_PROFILE_FILES})
    install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/${SYNC_PROFILE_FILE}
        DESTINATION ${CMAKE_INSTALL_FULL_SYSCONFDIR}/buteo/profiles/sync
    )
endforeach()

=== debian/changelog ===
lomiri-online-accounts-plugins-carddav (0.5.0-2build1) plucky; urgency=medium

  * Rebuild against new ppp 2.5.2-1+1.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Feb 2025 15:32:48 +0100

lomiri-online-accounts-plugins-carddav (0.5.0-2) unstable; urgency=medium

  * debian/control:
    + Add to D: (lomiri-online-accounts-plugin-generic-carddav): buteo-syncfw-
      plugin-carddav.
    + Add D: lomiri-online-accounts-plugin-{nextcloud,owncloud} to lomiri-
      online-accounts-plugin-{nextcloud,owncloud}-carddav.
  * debian/patches:
    + Add 0001_make-sync-profiles-not-hidden-by-default.patch. Sync directly
      after online account creation.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 20 Dec 2024 19:54:56 +0100

lomiri-online-accounts-plugins-carddav (0.5.0-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1086521).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 31 Oct 2024 19:58:18 +0100

=== debian/control ===
Source: lomiri-online-accounts-plugins-carddav
Section: misc
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
Build-Depends: debhelper-compat (= 13),
               intltool,
               cmake,
               gettext,
               libaccounts-glib-dev,
               liblomiri-online-accounts-plugin-dev (>= 0.13),
               pkgconf,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/core/lomiri-online-accounts-plugins-carddav
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-online-accounts-plugins-carddav.git
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-online-accounts-plugins-carddav

Package: lomiri-online-accounts-plugin-nextcloud-carddav
Architecture: all
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         lomiri-online-accounts-plugin-carddav-generic (>= ${source:Version}),
         lomiri-online-accounts-plugin-nextcloud,
         qml-module-lomiri-components,
         qml-module-lomiri-onlineaccounts,
Description: Online account plugin for Lomiri - Nextcloud CardDAV
 Lomiri Online Accounts is an API / library framework to mediate
 centralized account management for remote services.
 .
 This package provides a LOA plugin for managing CardDAV credentials
 stored in Nextcloud.

Package: lomiri-online-accounts-plugin-owncloud-carddav
Architecture: all
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         lomiri-online-accounts-plugin-carddav-generic (>= ${source:Version}),
         lomiri-online-accounts-plugin-owncloud,
         qml-module-lomiri-components,
         qml-module-lomiri-onlineaccounts,
Description: Online account plugin for Lomiri - Owncloud CardDAV
 Lomiri Online Accounts is an API / library framework to mediate
 centralized account management for remote services.
 .
 This package provides a LOA plugin for managing CardDAV credentials
 stored in ownCloud.

Package: lomiri-online-accounts-plugin-carddav-generic
Architecture: all
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         qml-module-lomiri-components,
         qml-module-lomiri-onlineaccounts,
         buteo-syncfw-plugin-carddav,
Description: Online account plugin for Lomiri - Generic CardDAV
 Lomiri Online Accounts is an API / library framework to mediate
 centralized account management for remote services.
 .
 This package provides a LOA plugin for managing generic CardDAV server
 credentials.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@

override_dh_missing:
	dh_missing --fail-missing

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
